%global momorel 1
%global srcrel 1
%global qtver 4.5.2
%global kdever 4.3.1
%global kdelibsrel 1m
%global kdemultimediarel 1m
%global kdesdkrel 1m

Summary:	A sound editor for KDE
Name:		kwave
Version:	0.8.4
Release:	%{momorel}m%{?dist}
License:	GPLv2+ and LGPLv2+
URL:		http://kwave.sourceforge.net/
Group:		Applications/Multimedia
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-%{srcrel}.tar.bz2
NoSource:	0
Patch0:		%{name}-0.8.2-desktop.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq:	qt-devel >= %{qtver}
BuildPreReq:	kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq:	kdemultimedia-devel >= %{kdever}-%{kdemultimediarel}
BuildPreReq:	kdesdk-devel >= %{kdever}-%{kdesdkrel}
BuildPreReq:	kdesdk-utils
BuildPreReq:	ImageMagick
BuildPreReq:	cmake
BuildPreReq:	desktop-file-utils
BuildPreReq:	esound-devel
BuildPreReq:	flac-devel >= 1.2.1
BuildPreReq:	gettext
BuildPreReq:	gsl-devel
BuildPreReq:	id3lib-devel
BuildPreReq:	jack-devel
BuildPreReq:	libmad
BuildPreReq:	libogg-devel
BuildPreReq:	libvorbis-devel

%description
With Kwave you can edit many sorts of wav-files including
multi-channel files.
You are able to alter and play back each channel on its own.
Kwave also includes many plugins (most are still under development)
to transform the wave-file in several ways and presents a graphical
view with a complete zoom-and scroll capability.

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	-DWITH_MP3:BOOL=ON \
	..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# revise desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --remove-key X-SuSE-translate \
  %{buildroot}%{_kde4_datadir}/applications/kde4/kwave.desktop

# install icons
for i in 16 22 32 48 64 128; do
  mkdir -p %{buildroot}%{_kde4_iconsdir}/hicolor/${i}x${i}/apps
  convert -background None -geometry ${i}x${i} \
      %{buildroot}%{_kde4_iconsdir}/hicolor/scalable/apps/kwave.svgz \
      %{buildroot}%{_kde4_iconsdir}/hicolor/${i}x${i}/apps/kwave.png
done

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kwave.png %{buildroot}%{_datadir}/pixmaps/kwave.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS CHANGES GNU-LICENSE LICENSES README TODO VERSION
%{_kde4_bindir}/kwave
%{_kde4_libdir}/kde4/plugins/kwave
%{_kde4_libdir}/libkwave.so*
%{_kde4_libdir}/libkwavegui.so*
%{_kde4_datadir}/applications/kde4/kwave.desktop
%{_kde4_appsdir}/kwave
%{_kde4_datadir}/doc/HTML/*/kwave
%{_kde4_iconsdir}/hicolor/*/apps/kwave.png
%{_kde4_iconsdir}/hicolor/scalable/apps/kwave.svgz
%{_datadir}/locale/*/LC_MESSAGES/kwave.mo
%{_datadir}/pixmaps/kwave.png

%changelog
* Mon Sep 28 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-1m)
- version 0.8.4

* Mon Jul 13 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-2m)
- version 0.8.3-2

* Tue Jun 30 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.3-1m)
- version 0.8.3

* Sun Apr 26 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-2m)
- fix up desktop.patch, do not forget "Name"
- BPR: ImageMagick
- revise desktop file in %%install section
- sort %%files

* Sun Apr 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.2-1m)
- update to 0.8.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.1-3m)
- rebuild against rpm-4.6

* Tue Jan 20 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.1-2m)
- add "BuildPreReq: kdesdk-utils" for /usr/bin/xml2pot

* Thu Dec 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1 for KDE4

* Sun Jul  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.7.11-6m)
- add BuildPreReq: kdesdk-utils

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.11-5m)
- revise %%{_docdir}/HTML/*/kwave/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.11-4m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.11-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.11-2m)
- %%NoSource -> NoSource

* Thu Jan 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.11-1m)
- version 0.7.11
- remove merged flac-v1.1.3_and_v1.1.4-support.diff
- remove merged debian-431199.diff
- update desktop.patch

* Sun Aug 12 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.9-6m)
- rebuild against libvorbis-1.2.0-1m

* Mon Jul 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-5m)
- enable flac support in all-arch again

* Mon Jul 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-4m)
- apply debian-431199.diff
- http://sourceforge.net/tracker/index.php?func=detail&aid=1732594&group_id=6478&atid=306478

* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-3m)
- build flac support i686 only

* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-2m)
- import flac-v1.1.3_and_v1.1.4-support.diff (enable flac support)

* Thu May 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.9-1m)
- initial package for Momonga Linux
- disable flac support for the moment
